osl::eval::ml::NonPawnPieceStandCombination Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Static Private Attributes | Friends | List of all members
osl::eval::ml::NonPawnPieceStandCombination Class Reference

`#include <pieceStand.h>`

Collaboration diagram for osl::eval::ml::NonPawnPieceStandCombination:
[legend]

## Public Types
enum | { ONE_DIM = 5625, DIM = ONE_DIM * EvalStages }

## Public Member Functions
| NonPawnPieceStandCombination ()

## Static Public Member Functions
static void | setUp (const Weights &weights)
static MultiInt | eval (const NumEffectState &state, const CArray< bool, 2 > &can_check)
static MultiInt | evalWithUpdate (const NumEffectState &state, Move moved, const MultiInt &last_value, const CArray< bool, 2 > &could_check, const CArray< bool, 2 > &can_check)

## Static Private Member Functions
static MultiInt | sumUp (const CArray< int, 6 > &indices, const CArray< MultiInt, 5625 > &values)
static int | index (int rook, int bishop, int gold, int silver, int knight, int lance)

## Static Private Attributes
static CArray< MultiInt, 5625 > | table
static CArray< MultiInt, 5625 > | check_table

## Friends
class | CanCheckNonPawnPieceStandCombination

## Detailed Description

Definition at line 72 of file eval/ml/pieceStand.h.

## Member Enumeration Documentation

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 76 of file eval/ml/pieceStand.h.

## Constructor & Destructor Documentation

osl::eval::ml::NonPawnPieceStandCombination::NonPawnPieceStandCombination | ( | ) |  |
| inline

Definition at line 77 of file eval/ml/pieceStand.h.

## Member Function Documentation

osl::MultiInt osl::eval::ml::NonPawnPieceStandCombination::eval | ( | const NumEffectState & | state,
|  | const CArray< bool, 2 > & | can_check
| ) |  |
| static

Definition at line 176 of file eval/ml/pieceStand.cc.

References osl::BISHOP, osl::BLACK, osl::GOLD, osl::KNIGHT, osl::LANCE, result, osl::ROOK, osl::SILVER, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

osl::MultiInt osl::eval::ml::NonPawnPieceStandCombination::evalWithUpdate | ( | const NumEffectState & | state,
|  | Move | moved,
|  | const MultiInt & | last_value,
|  | const CArray< bool, 2 > & | could_check,
|  | const CArray< bool, 2 > & | can_check
| ) |  |
| static

Definition at line 205 of file eval/ml/pieceStand.cc.

References osl::Move::isCapture(), and osl::Move::isDrop().

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

static int osl::eval::ml::NonPawnPieceStandCombination::index | ( | int | rook,
|  | int | bishop,
|  | int | gold,
|  | int | silver,
|  | int | knight,
|  | int | lance
| ) |  |
| inlinestaticprivate

Definition at line 89 of file eval/ml/pieceStand.h.

Referenced by osl::eval::ml::CanCheckNonPawnPieceStandCombination::setUp().

void osl::eval::ml::NonPawnPieceStandCombination::setUp | ( | const Weights & | weights) |  |
| static

Definition at line 96 of file eval/ml/pieceStand.cc.

References osl::NStages, and osl::eval::ml::Weights::value().

osl::MultiInt osl::eval::ml::NonPawnPieceStandCombination::sumUp | ( | const CArray< int, 6 > & | indices,
|  | const CArray< MultiInt, 5625 > & | values
| ) |  |
| staticprivate

Definition at line 64 of file eval/ml/pieceStand.cc.

References result.

Referenced by osl::eval::ml::CanCheckNonPawnPieceStandCombination::setUp().

## Friends And Related Function Documentation

friend class CanCheckNonPawnPieceStandCombination
| friend

Definition at line 74 of file eval/ml/pieceStand.h.

## Member Data Documentation

osl::misc::CArray< osl::MultiInt, 5625 > osl::eval::ml::NonPawnPieceStandCombination::check_table
| staticprivate

Definition at line 96 of file eval/ml/pieceStand.h.

Referenced by osl::eval::ml::CanCheckNonPawnPieceStandCombination::setUp().

osl::misc::CArray< osl::MultiInt, 5625 > osl::eval::ml::NonPawnPieceStandCombination::table
| staticprivate

Definition at line 95 of file eval/ml/pieceStand.h.

The documentation for this class was generated from the following files:

- eval/ml/pieceStand.h
- eval/ml/pieceStand.cc